export declare enum ErrorCode {
    unknownError = "unknown_error",
    unknownCommand = "unknown_command",
    invalidCountryCode = "invalid_country_code",
    invalidLanguageCode = "invalid_language_code",
    stationNotFound = "station_not_found",
    stationNotConnected = "station_not_connected",
    deviceNotFound = "device_not_found",
    deviceWrongStation = "device_wrong_station",
    deviceInvalidProperty = "device_invalid_property",
    deviceInvalidPropertyValue = "device_invalid_property_value",
    devicePropertyNotSupported = "device_property_not_supported",
    deviceReadOnlyProperty = "device_property_readonly",
    deviceNotSupported = "device_not_supported",
    deviceInvalidCommandValue = "device_invalid_command_value",
    deviceLivestreamAlreadyRunning = "device_livestream_already_running",
    deviceLivestreamNotRunning = "device_livestream_not_running",
    schemaIncompatible = "schema_incompatible"
}
export declare class BaseError extends Error {
    errorCode: ErrorCode;
}
export declare class UnknownError extends BaseError {
    error: Error;
    errorCode: ErrorCode;
    constructor(error: Error);
}
export declare class UnknownCommandError extends BaseError {
    command: string;
    errorCode: ErrorCode;
    constructor(command: string);
}
export declare class SchemaIncompatibleError extends BaseError {
    schemaId: number;
    errorCode: ErrorCode;
    constructor(schemaId: number);
}
export declare class LivestreamAlreadyRunningError extends Error {
    constructor(message?: string);
}
export declare class LivestreamNotRunningError extends Error {
    constructor(message?: string);
}
//# sourceMappingURL=error.d.ts.map