"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.dumpState = void 0;
const state_1 = require("./device/state");
const state_2 = require("./driver/state");
const state_3 = require("./station/state");
// eslint-disable-next-line @typescript-eslint/no-unused-vars
const dumpState = (driver, schemaVersion) => {
    const base = {
        driver: (0, state_2.dumpDriver)(driver, schemaVersion),
        stations: Array.from(driver.getStations(), (station) => (0, state_3.dumpStation)(station, schemaVersion)),
        devices: Array.from(driver.getDevices(), (device) => (0, state_1.dumpDevice)(device, schemaVersion)),
    };
    return base;
};
exports.dumpState = dumpState;
//# sourceMappingURL=state.js.map