"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.dumpStation = void 0;
const eufy_security_client_1 = require("eufy-security-client");
// eslint-disable-next-line @typescript-eslint/no-unused-vars
const dumpStation = (station, schemaVersion) => {
    var _a, _b, _c, _d, _e, _f, _g, _h, _j, _k, _l, _m, _o, _p, _q, _r, _s, _t, _u, _v, _w;
    const base = {
        name: (_a = station.getPropertyValue(eufy_security_client_1.PropertyName.Name)) === null || _a === void 0 ? void 0 : _a.value,
        model: (_b = station.getPropertyValue(eufy_security_client_1.PropertyName.Model)) === null || _b === void 0 ? void 0 : _b.value,
        serialNumber: (_c = station.getPropertyValue(eufy_security_client_1.PropertyName.SerialNumber)) === null || _c === void 0 ? void 0 : _c.value,
        hardwareVersion: (_d = station.getPropertyValue(eufy_security_client_1.PropertyName.HardwareVersion)) === null || _d === void 0 ? void 0 : _d.value,
        softwareVersion: (_e = station.getPropertyValue(eufy_security_client_1.PropertyName.SoftwareVersion)) === null || _e === void 0 ? void 0 : _e.value,
        lanIpAddress: (_f = station.getPropertyValue(eufy_security_client_1.PropertyName.StationLANIpAddress)) === null || _f === void 0 ? void 0 : _f.value,
        macAddress: (_g = station.getPropertyValue(eufy_security_client_1.PropertyName.StationMacAddress)) === null || _g === void 0 ? void 0 : _g.value,
        currentMode: (_h = station.getPropertyValue(eufy_security_client_1.PropertyName.StationCurrentMode)) === null || _h === void 0 ? void 0 : _h.value,
        guardMode: (_j = station.getPropertyValue(eufy_security_client_1.PropertyName.StationGuardMode)) === null || _j === void 0 ? void 0 : _j.value,
        connected: station.isConnected(),
    };
    if (schemaVersion == 0) {
        return base;
    }
    const station1 = base;
    station1.type = station.getPropertyValue(eufy_security_client_1.PropertyName.Type).value;
    if (schemaVersion <= 2) {
        return station1;
    }
    const station3 = station1;
    station3.timeFormat = (_k = station.getPropertyValue(eufy_security_client_1.PropertyName.StationTimeFormat)) === null || _k === void 0 ? void 0 : _k.value;
    station3.alarmVolume = (_l = station.getPropertyValue(eufy_security_client_1.PropertyName.StationAlarmVolume)) === null || _l === void 0 ? void 0 : _l.value;
    station3.alarmTone = (_m = station.getPropertyValue(eufy_security_client_1.PropertyName.StationAlarmTone)) === null || _m === void 0 ? void 0 : _m.value;
    station3.promptVolume = (_o = station.getPropertyValue(eufy_security_client_1.PropertyName.StationPromptVolume)) === null || _o === void 0 ? void 0 : _o.value;
    station3.notificationSwitchModeSchedule = (_p = station.getPropertyValue(eufy_security_client_1.PropertyName.StationNotificationSwitchModeSchedule)) === null || _p === void 0 ? void 0 : _p.value;
    station3.notificationSwitchModeGeofence = (_q = station.getPropertyValue(eufy_security_client_1.PropertyName.StationNotificationSwitchModeGeofence)) === null || _q === void 0 ? void 0 : _q.value;
    station3.notificationSwitchModeApp = (_r = station.getPropertyValue(eufy_security_client_1.PropertyName.StationNotificationSwitchModeApp)) === null || _r === void 0 ? void 0 : _r.value;
    station3.notificationSwitchModeKeypad = (_s = station.getPropertyValue(eufy_security_client_1.PropertyName.StationNotificationSwitchModeKeypad)) === null || _s === void 0 ? void 0 : _s.value;
    station3.notificationStartAlarmDelay = (_t = station.getPropertyValue(eufy_security_client_1.PropertyName.StationNotificationStartAlarmDelay)) === null || _t === void 0 ? void 0 : _t.value;
    if (schemaVersion <= 4) {
        return station3;
    }
    // All schemas >= 5
    const station5 = station3;
    station5.switchModeWithAccessCode = (_u = station.getPropertyValue(eufy_security_client_1.PropertyName.StationSwitchModeWithAccessCode)) === null || _u === void 0 ? void 0 : _u.value;
    station5.autoEndAlarm = (_v = station.getPropertyValue(eufy_security_client_1.PropertyName.StationAutoEndAlarm)) === null || _v === void 0 ? void 0 : _v.value;
    station5.turnOffAlarmWithButton = (_w = station.getPropertyValue(eufy_security_client_1.PropertyName.StationTurnOffAlarmWithButton)) === null || _w === void 0 ? void 0 : _w.value;
    return station5;
};
exports.dumpStation = dumpStation;
//# sourceMappingURL=state.js.map